/**
 *
 * Copyright (C) 2013-2014, Mellanox Technologies Ltd.  ALL RIGHTS RESERVED.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307 USA
 *
 */

#ifndef __CPLD_GPIO_X86_H__
#define __CPLD_GPIO_X86_H__

#define GPIO16  16      // CPLD_SEL
#define GPIO35  35      // CPLD_SEL
                        //
#define GPIO24  24      // TMS
#define GPIO11  11      // TDI
#define GPIO57  57      // TDO
#define GPIO56  56      // TCK

#define CPLD_GPIO_TBL_MAX   2

#define CONFIG_CPLD_ORIG_GPIO_TABLE {           \
    {GPIO24, GPIO_SIG , GPIO_IN , GPIO_OUT_NO_CHG},      \
    {GPIO11, GPIO_SIG , GPIO_IN , GPIO_OUT_NO_CHG},      \
    {GPIO57, GPIO_SIG , GPIO_IN , GPIO_OUT_NO_CHG}, \
    {GPIO56, GPIO_SIG,  GPIO_IN , GPIO_OUT_NO_CHG},      \
}

#define CONFIG_CPLD_JTAG_GPIO_TABLE0 {                  \
    {GPIO24, GPIO_SIG , GPIO_OUT, GPIO_OUT_NO_CHG}, /*TMS*/ \
    {GPIO11, GPIO_SIG , GPIO_OUT, GPIO_OUT_NO_CHG}, /*TDI*/ \
    {GPIO57, GPIO_SIG , GPIO_IN , GPIO_OUT_NO_CHG}, /*TDO*/ \
    {GPIO56, GPIO_SIG,  GPIO_OUT, GPIO_OUT_NO_CHG}, /*TCK*/ \
}

#endif /* __CPLD_GPIO_X86_H__ */
