/*
*
* Copyright (C) Mellanox Technologies Ltd. 2001-2011.  ALL RIGHTS RESERVED.
*
* This software product is a proprietary product of Mellanox Technologies Ltd.
* (the "Company") and all right, title, and interest in and to the software product,
* including all associated intellectual property rights, are and shall
* remain exclusively with the Company.
*
* This software product is governed by the End User License Agreement
* provided with the software product.
*
*/

#ifndef __CPLD_API_H__
#define __CPLD_API_H__

typedef enum gpio_driver { GPIO_DIS, GPIO_IN, GPIO_OUT, GPIO_BI } gpio_driver_t;
typedef enum gpio_out	 { GPIO_OUT_0, GPIO_OUT_1, GPIO_OUT_NO_CHG } gpio_out_t; 

#define CPLD_JTAG_SYSFS     "/sys/devices/platform/cpld_jtag"
#define CPLD_JTAG_MODULE    "cpld_jtag.ko"
#define CPLD_MAX_NUM        3

#endif

