/****************************************************************************/
/*																			*/
/*	Module:			jamutil.h												*/
/*																			*/
/*					Copyright (C) Altera Corporation 1997					*/
/*																			*/
/*	Description:	Prototypes for miscelleneous utility functions			*/
/*																			*/
/****************************************************************************/

#ifndef INC_JAMUTIL_H
#define INC_JAMUTIL_H

/****************************************************************************/
/*																			*/
/*	Function Prototypes														*/
/*																			*/
/****************************************************************************/

char jam_toupper(char ch);

int jam_iscntrl(char ch);

int jam_isalpha(char ch);

int jam_isdigit(char ch);

int jam_isalnum(char ch);

int jam_isspace(char ch);

int jam_is_name_char(char ch);

int jam_is_hex_char(char ch);

int jam_strlen(const char *string);

int jam_atol(const char *string);

void jam_ltoa(char *string, int value);

int jam_strcmp(const char *left, const char *right);

int jam_stricmp(const char *left, const char *right);

int jam_strncmp(const char *left, const char *right, int count);

int jam_strnicmp(const char *left, const char *right, int count);

void jam_strcpy(char *dest, char *source);

void jam_strncpy(char *dest, char *source, int count);

#endif /* INC_JAMUTIL_H */
